---
title: Room Version 5
type: docs
weight: 50
---

This room version builds on [version 4](/rooms/v4) while enforcing signing
key validity periods for events.

## Client considerations

There are no client considerations introduced in this room version. Clients
which implement the redaction algorithm locally should refer to the
[redactions](#redactions) section below for a full overview of the algorithm.

## Server implementation components

{{% boxes/warning %}}
The information contained in this section is strictly for server
implementors. Applications which use the Client-Server API are generally
unaffected by the intricacies contained here. The section above
regarding client considerations is the resource that Client-Server API
use cases should reference.
{{% /boxes/warning %}}

Room version 5 uses the same algorithms defined in [room version
4](/rooms/v4), ensuring that signing key validity is respected.

### Signing key validity period

{{% rver-fragment name="v5-signing-requirements" %}}

## Unchanged from v4

The following sections have not been modified since v4, but are included for
completeness.

### Redactions

{{% rver-fragment name="v1-redactions" %}}

### Handling redactions

{{% rver-fragment name="v3-handling-redactions" %}}

### Event IDs

{{% rver-fragment name="v4-event-ids" %}}

### Event format

{{% rver-fragment name="v4-event-format" %}}

### Authorization rules

{{% rver-fragment name="v3-auth-rules" %}}

### State resolution

{{% rver-fragment name="v2-state-res" %}}

### Canonical JSON

{{% rver-fragment name="v1-canonical-json" %}}
